Bug 1312634 - [abrt] kernel paging request at raid_run_ops [raid456] [NEEDINFO]
[abrt] kernel paging request at raid_run_ops [raid456]
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fedora-kernel-raid
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3ba967c546eaf28a5b15d861bae...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-28 05:44 EST by pzeppegno
Modified: 2017-04-28 13:10 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-28 13:10:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (123.13 KB, text/plain)
2016-02-28 05:44 EST, pzeppegno
no flags Details

  None (edit)
Description pzeppegno 2016-02-28 05:44:30 EST
Description of problem:
I think it happened during the weekly scrub. I think it's the second time it happened.

Additional info:
reporter:       libreport-2.6.4
BUG: unable to handle kernel paging request at 0000000000100020
IP: [<ffffffffa0685323>] raid_run_ops+0x4d3/0x15e0 [raid456]
PGD 7901f067 PUD 840ac067 PMD 0 
Oops: 0000 [#1] SMP 
Modules linked in: bnep bluetooth rfkill xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun fuse ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_broute bridge stp llc ebtable_nat ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_raw ip6table_mangle ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security iptable_raw iptable_mangle rc_dib0700_rc5 dib7000p dvb_usb_dib0700 dib7000m dib0090 dib0070 dib3000mc dibx000_common dvb_usb dm_cache_smq dm_cache_mq dm_cache raid456 async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq gpio_ich iTCO_wdt iTCO_vendor_support coretemp kvm_intel snd_hda_codec_analog kvm snd_hda_codec_generic
 dvb_pll cx22702 cx88_dvb cx88_vp3054_i2c videobuf2_dvb dvb_core ir_lirc_codec ir_xmp_decoder lirc_dev ir_mce_kbd_decoder ir_sharp_decoder ir_sanyo_decoder dm_thin_pool ir_sony_decoder ir_jvc_decoder ir_rc6_decoder dm_persistent_data ir_rc5_decoder ir_nec_decoder dm_bio_prison libcrc32c rc_cinergy_1400 joydev snd_hda_intel snd_hda_codec cx8802 cx8800 snd_hda_core cx88xx snd_hwdep snd_seq videobuf2_core snd_seq_device videobuf2_dma_sg videobuf2_memops tveeprom rc_core snd_pcm v4l2_common videodev media lpc_ich i2c_i801 snd_timer snd soundcore asus_atk0110 shpchp acpi_cpufreq tpm_tis tpm nfsd auth_rpcgss binfmt_misc nfs_acl lockd grace sunrpc ata_generic pata_acpi hid_logitech ff_memless nouveau serio_raw firewire_ohci firewire_core skge uas crc_itu_t video mxm_wmi usb_storage wmi i2c_algo_bit
 drm_kms_helper pata_jmicron ttm drm fjes
CPU: 0 PID: 847 Comm: md0_raid5 Not tainted 4.3.5-300.fc23.x86_64 #1
Hardware name: System manufacturer System Product Name/P5B-Deluxe, BIOS 1238    09/30/2008
task: ffff8800b64db980 ti: ffff8801b1a98000 task.ti: ffff8801b1a98000
RIP: 0010:[<ffffffffa0685323>]  [<ffffffffa0685323>] raid_run_ops+0x4d3/0x15e0 [raid456]
RSP: 0018:ffff8801b1a9baa0  EFLAGS: 00010206
RAX: 0000000000000008 RBX: ffff88011074e4d0 RCX: 0000000000000000
RDX: 0000000000000001 RSI: 0000000000000021 RDI: ffff88011074e360
RBP: ffff8801b1a9bb60 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000001
R13: 0000000000000170 R14: ffff88011074e388 R15: 0000000000100000
FS:  0000000000000000(0000) GS:ffff8801bfc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000100020 CR3: 000000007f3d3000 CR4: 00000000000006f0
Stack:
 ffff8801b1a9bb08 0000000300000000 0000000000000000 0000000000000000
 0000000000000170 0000000000000000 ffffffffa0689880 0000000000000005
 ffff88011074e3c8 0000000000000000 ffff8801bfc21d68 ffff88011074e360
Call Trace:
 [<ffffffffa0689880>] ? raid5_end_write_request+0x390/0x390 [raid456]
 [<ffffffffa068ceff>] handle_stripe+0xf5f/0x2640 [raid456]
 [<ffffffffa068e76d>] handle_active_stripes.isra.44+0x18d/0x4a0 [raid456]
 [<ffffffffa068eefc>] raid5d+0x47c/0x710 [raid456]
 [<ffffffff811086ce>] ? try_to_del_timer_sync+0x5e/0x90
 [<ffffffff81108470>] ? trace_event_raw_event_tick_stop+0xf0/0xf0
 [<ffffffff815ed479>] md_thread+0x139/0x150
 [<ffffffff810e2380>] ? wake_atomic_t_function+0x70/0x70
 [<ffffffff815ed340>] ? find_pers+0x70/0x70
 [<ffffffff810bedf8>] kthread+0xd8/0xf0
 [<ffffffff810bed20>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff8178219f>] ret_from_fork+0x3f/0x70
 [<ffffffff810bed20>] ? kthread_worker_fn+0x160/0x160
Code: 00 4c 89 bb f0 01 00 00 48 8b 7d 98 c6 47 68 00 fb 66 66 90 66 66 90 4d 85 ff 4c 8b 45 88 74 96 48 8b 8b 08 02 00 00 48 8d 41 08 <49> 39 47 20 73 85 4e 8d ac 2f d8 01 00 00 eb 16 4d 8b 3f 4d 85 
RIP  [<ffffffffa0685323>] raid_run_ops+0x4d3/0x15e0 [raid456]
 RSP <ffff8801b1a9baa0>
CR2: 0000000000100020
Comment 1 pzeppegno 2016-02-28 05:44:39 EST
Created attachment 1131228 [details]
File: dmesg
Comment 2 Laura Abbott 2016-09-23 15:21:00 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 3 pzeppegno 2016-09-23 15:46:06 EDT
Guys, I have some troubling issues with my raid5 here. I would appreciate to hear from you. This is just one instance of an issue that manifest itself (I think) also by having the "WARNING: mismatch_cnt is not 0 on /dev/md127" error every week after the standard scrub procedure.
Comment 4 Justin M. Forbes 2017-04-11 10:39:52 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.
Comment 5 Justin M. Forbes 2017-04-28 13:10:07 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.